%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate libsqlite3-sys

Name:           rust-libsqlite3-sys
Version:        0.28.0
Release:    1%{?dist}
Summary:        Native bindings to the libsqlite3 library

License:        MIT
URL:            https://crates.io/crates/libsqlite3-sys
Source0:         %{crates_source}
Patch0:          libsqlite3-sys-fix-metadata.diff
Patch1:          0001-unconditionally-enable-building-with-bindgen-and-pkg.patch

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  pkgconfig(sqlcipher)
BuildRequires:  pkgconfig(sqlite3) >= 3.7.16

%global _description %{expand:
Native bindings to the libsqlite3 library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(sqlite3) >= 3.7.16

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+buildtime_bindgen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+buildtime_bindgen-devel %{_description}

This package contains library source intended for building other packages which
use the "buildtime_bindgen" feature of the "%{crate}" crate.

%files       -n %{name}+buildtime_bindgen-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+min_sqlite_version_3_14_0-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+min_sqlite_version_3_14_0-devel %{_description}

This package contains library source intended for building other packages which
use the "min_sqlite_version_3_14_0" feature of the "%{crate}" crate.

%files       -n %{name}+min_sqlite_version_3_14_0-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+preupdate_hook-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+preupdate_hook-devel %{_description}

This package contains library source intended for building other packages which
use the "preupdate_hook" feature of the "%{crate}" crate.

%files       -n %{name}+preupdate_hook-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+session-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+session-devel %{_description}

This package contains library source intended for building other packages which
use the "session" feature of the "%{crate}" crate.

%files       -n %{name}+session-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sqlcipher-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(sqlcipher)

%description -n %{name}+sqlcipher-devel %{_description}

This package contains library source intended for building other packages which
use the "sqlcipher" feature of the "%{crate}" crate.

%files       -n %{name}+sqlcipher-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unlock_notify-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unlock_notify-devel %{_description}

This package contains library source intended for building other packages which
use the "unlock_notify" feature of the "%{crate}" crate.

%files       -n %{name}+unlock_notify-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+with-asan-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+with-asan-devel %{_description}

This package contains library source intended for building other packages which
use the "with-asan" feature of the "%{crate}" crate.

%files       -n %{name}+with-asan-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
rm -vr sqlite3/ sqlcipher/

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Jun 29 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.28.0-1
- initial build
